From fa6fdd029e70267495104f9d0d9d498b74dcba18 Mon Sep 17 00:00:00 2001
From: Cyril Jouve <jv.cyril@gmail.com>
Date: Wed, 6 Feb 2019 23:40:46 +0100
Subject: [PATCH] simplify main requirements.txt

moved to web/regression/requirements.txt:
extras==1.0.0
fixtures==3.0.0
linecache2==1.0.0
pbr==3.1.1
python-mimeparse==1.6.0

removed:
html5lib
pyrsistent
---
 requirements.txt                | 7 -------
 web/pgadmin/__init__.py         | 3 +--
 web/regression/requirements.txt | 5 +++++
 3 files changed, 6 insertions(+), 9 deletions(-)

diff --git a/requirements.txt b/requirements.txt
index 0140ab4d..fe01bf9e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -4,8 +4,6 @@
 #       ignored when building a PIP Wheel.
 ##############################################################################
 blinker==1.4
-extras==1.0.0
-fixtures==3.0.0
 Flask==0.12.4
 Flask-Gravatar==0.5.0
 Flask-Login==0.3.2
@@ -14,12 +12,7 @@ Flask-Migrate==2.1.1
 Flask-Principal==0.4.0
 Flask-SQLAlchemy==2.3.2
 Flask-WTF==0.14.2
-html5lib==1.0.1
-linecache2==1.0.0
 passlib==1.7.1
-pbr==3.1.1
-pyrsistent==0.14.2
-python-mimeparse==1.6.0
 pytz==2018.3
 simplejson==3.13.2
 six>=1.11.0
diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 49e76d00..bfe7e041 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -669,8 +669,7 @@ def create_app(app_name=None):
     ##########################################################################
     # Minify output
     ##########################################################################
-    # HTMLMIN doesn't work with Python 2.6.
-    if not config.DEBUG and sys.version_info >= (2, 7):
+    if not config.DEBUG:
         from flask_htmlmin import HTMLMIN
         HTMLMIN(app)
 
diff --git a/web/regression/requirements.txt b/web/regression/requirements.txt
index 77044c05..5199d32d 100644
--- a/web/regression/requirements.txt
+++ b/web/regression/requirements.txt
@@ -6,8 +6,13 @@
 ###########################################
 # Add all the development dependencies here
 ###########################################
+extras==1.0.0
+fixtures==3.0.0
+linecache2==1.0.0
+pbr==3.1.1
 pycodestyle==2.3.1
 pyperclip~=1.6.0
+python-mimeparse==1.6.0
 testscenarios==0.5.0
 testtools==2.3.0
 traceback2==1.4.0
-- 
2.20.1

